Avast Free antivirus nie chce współpracować z systemem Windows 2000 Professional


(sewer6) #1

Pobrałem wersję kompatybilną z moim systemem, ale mimo tego nie może ona chronić mojego komputera. Sam antywirus działa, ale gdy chcę uruchomić osłony wyskakuje taki oto komunikat:

 

Nie znaleziono punktu wejścia procedury freeaddrinfow bibliotece WS2_32.dll.

 

Da się coś na to poradzić?


(fiesta) #2

Wersja Free Avasta nie jest przeznaczona dla systemów serwerowych.

 


(Bowjan) #3

Service Pack 4 zainstalowany ?


(sewer6) #4

Tak. A wiesz może jeszcze czy jakakolwiek java 7 będzie kompatybilna z moim systemem?


(drunkula) #5

@Fiesta: Windows 2000 Pro, to nie to samo co 2000 Server :wink: … chociaż nadal nie wspierany.

 

Win2000 SP4 był w niemal 100% zgodny z XP SP2, przynajmniej mi jeszcze w czasach visty nie zdarzyło się spotkać oprogramowanie dla XP które nie chodziło na 2k, co nie zmienia faktu że skoro producent nie wspomina o wsparciu, to nie ma co liczyć że ruszy (zwłaszcza jakaś bieżąca wersja). 

 

Możliwe też, że sama biblioteka jest uszkodzona. Możesz próbować podmienić wspomnianą bibliotekę, tak jak opisują tu: http://pcsupport.about.com/od/findbyerrormessage/a/ws2_32-dll-not-found-missing-error.htm, pamiętaj jednak, że ciężko określić co może się zepsuć, a co poprawić.

 

Java 7 nie jest kompatybilna z 2000, uważaj też na 6u32 i nowsze, do Java 6 update 31 powinno być stabilnie.


(fiesta) #6

To jest to  samo, tylko niektóre funkcje typowe dla serwerów są okrojone bądź wyłączone. W sieci  do tej pory można znaleźć tutki jak przystosować win2k do pracy jako desktop. Mówienie że to  XP bez nakładki graficznej też jest grubą pomyłką.


(drunkula) #7

Właśnie z początku napisałem że “to taki XP bez nowego GUI”, ale się poprawiłem przed wysłaniem posta, bo niektóre rozwiązania znacznie się różniły :wink:

OK, ok … pro i server to niemal to samo, ale to MS sam przygotował edycję dedykowaną dla power-userów / workstation, okrojoną np. z AD, DNS. I chyba dlatego że dostarczyli taką wersję (głównie biznesowi), kolejne SP pozwoliły się mu tak “zbliżyć” do XP.

 

Z mojego doświadczenia na 2000 Pro z SP4 (ale właśnie koniecznie z SP4) chodziło wszystko to co na XP. Te same przeglądarki, te same antywirusy, te same gry (chociaż czasami drivera grafiki pod 2k brakowało i DX bywał kapryśny). Oczywiście, zakończenie wsparcia 2000 znacznie wcześniej niż dla XP mogło się przyczynić do tego, że nie wszystko co później wychodziło na XP nadal będzie kompatybilne z 2000.


(Bowjan) #8

Wymagania systemowe

Windows 2000 Professional Service Pack 4.

Windows XP Service Pack 2 lub wyższy.

Windows Vista (wszystkie dycje oprócz Starter Edition).

Windows 7.

Windows 8 / 8.1.

Kompatybilność z zaawansowanymi komponentami serwerowymi takimi, jak VSS (volume shadow copy) lub FRS (file replication services).

Systemy IA-64 et AMD-64.

http://pl.ccm.net/download/pobierz-180-avast-antivirus-2015#wymagania-systemowe


(sewer6) #9

Ok, dzięki spróbuję.